Bug 733118 (CVE-2011-3193) - CVE-2011-3193 qt/harfbuzz buffer overflow
Summary: CVE-2011-3193 qt/harfbuzz buffer overflow
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2011-3193
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: public=20110719,reported=20110822,sou...
Depends On: 737812 737813 737815 737819 737820 737821 737822 738007 740449 833950 833976
Blocks: 733120
TreeView+ depends on / blocked
 
Reported: 2011-08-24 19:59 UTC by Josh Bressers
Modified: 2019-06-08 18:54 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-08 10:28:19 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1323 normal SHIPPED_LIVE Moderate: qt security update 2011-09-21 17:54:59 UTC
Red Hat Product Errata RHSA-2011:1324 normal SHIPPED_LIVE Moderate: qt4 security update 2011-09-21 17:54:39 UTC
Red Hat Product Errata RHSA-2011:1325 normal SHIPPED_LIVE Moderate: evolution28-pango security update 2011-09-21 16:45:44 UTC
Red Hat Product Errata RHSA-2011:1326 normal SHIPPED_LIVE Moderate: pango security update 2011-09-21 16:45:09 UTC
Red Hat Product Errata RHSA-2011:1327 normal SHIPPED_LIVE Moderate: frysk security update 2011-09-21 16:44:56 UTC
Red Hat Product Errata RHSA-2011:1328 normal SHIPPED_LIVE Moderate: qt security update 2011-09-21 18:37:14 UTC

Description Josh Bressers 2011-08-24 19:59:15 UTC
A buffer overflow flaw was found in the 3rd party harfbuzz module in qt.

The upstream commit is here:
https://qt.gitorious.org/qt/qt/commit/9ae6f2f9a57f0c3096d5785913e437953fa6775c

Comment 5 Huzaifa S. Sidhpurwala 2011-09-09 05:44:04 UTC
This issue affects the version of qt (qt4) shipped with Red Hat Enterprise Linux 6. This issue affects the version of qt4 shipped with Red Hat Enterprise Linux 5.
This issue does not affect the version of qt3 shipped with Red Hat Enterprise Linux 4, 5 and 6.

--

This issue affects the version of pango shipped with Red Hat Enterprise Linux 5. This issue does not affect the version of pango shipped with Red Hat Enterprise Linux 4 and 6.

--

This issue affects the version of evolution28-pango as shipped with Red Hat Enterprise Linux 4.

--

This issue affects the version of frysk as shipped with Red Hat Enterprise Linux 4.

Comment 10 errata-xmlrpc 2011-09-21 16:45:02 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4

Via RHSA-2011:1327 https://rhn.redhat.com/errata/RHSA-2011-1327.html

Comment 11 errata-xmlrpc 2011-09-21 17:54:46 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2011:1324 https://rhn.redhat.com/errata/RHSA-2011-1324.html

Comment 12 errata-xmlrpc 2011-09-21 18:06:14 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:1323 https://rhn.redhat.com/errata/RHSA-2011-1323.html

Comment 13 errata-xmlrpc 2011-09-21 18:06:24 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4

Via RHSA-2011:1325 https://rhn.redhat.com/errata/RHSA-2011-1325.html

Comment 14 errata-xmlrpc 2011-09-21 18:08:59 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2011:1326 https://rhn.redhat.com/errata/RHSA-2011-1326.html

Comment 15 errata-xmlrpc 2011-09-21 18:37:21 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:1328 https://rhn.redhat.com/errata/RHSA-2011-1328.html

Comment 16 Huzaifa S. Sidhpurwala 2011-09-22 05:37:12 UTC
Created qt tracking bugs for this issue

Affects: fedora-all [bug 740449]


Note You need to log in before you can comment on or make changes to this bug.